libzypp 17.37.10

zypp::log::StdoutLineWriter Struct Reference

LineWriter to stdout. More...

`#include <zypp-core/base/LogControl.h>`

Inheritance diagram for zypp::log::StdoutLineWriter:

## Public Member Functions
| StdoutLineWriter ()
Public Member Functions inherited from zypp::log::StreamLineWriter
| StreamLineWriter (std::ostream &str_r)
void | writeOut (const std::string &formated_r) override
Public Member Functions inherited from zypp::log::LineWriter
virtual | ~LineWriter ()

## Additional Inherited Members
Protected Member Functions inherited from zypp::log::StreamLineWriter
| StreamLineWriter ()
Protected Attributes inherited from zypp::log::StreamLineWriter
std::ostream * | _str

## Detailed Description

LineWriter to stdout.

Definition at line 57 of file LogControl.h.

## Constructor & Destructor Documentation

## ◆ StdoutLineWriter()

zypp::log::StdoutLineWriter::StdoutLineWriter | ( |  | ) |

Definition at line 364 of file LogControl.cc.

The documentation for this struct was generated from the following files:

- zypp-core/base/LogControl.h
- zypp-core/base/LogControl.cc